Package de.willuhn.jameica.hbci.server

# Class DBReminderImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.DBReminderImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `DBReminder`, `HibiscusDBObject`, `Serializable`, `Remote`

public class DBReminderImpl extends AbstractHibiscusDBObject implements DBReminder
Implementierung eines in der Datenbank gespeicherten Reminders.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`DBReminderImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPrimaryAttribute()`
`de.willuhn.jameica.reminder.Reminder`
`getReminder()`
Liefert das zugehoerige Reminder-Objekt.
`protected String`
`getTableName()`
`String`
`getUUID()`
Liefert die UUID des Reminders.
`protected void`
`insertCheck()`
`void`
`setReminder(de.willuhn.jameica.reminder.Reminder reminder)`
Speichert das zugehoerige Reminder-Objekt.
`void`
`setUUID(String uuid)`
Speichert die UUID des Reminders.
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`delete, getMeta, setMeta, store`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttribute, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### DBReminderImpl

public DBReminderImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### getUUID

public String getUUID() throws RemoteException
Description copied from interface: `DBReminder`
Liefert die UUID des Reminders.

Specified by:
  `getUUID` in interface `DBReminder`
Returns:
  die UUID des Reminders.
Throws:
  `RemoteException`
See Also:
  - `DBReminder.getUUID()`

### setUUID

public void setUUID(String uuid) throws RemoteException
Description copied from interface: `DBReminder`
Speichert die UUID des Reminders.

Specified by:
  `setUUID` in interface `DBReminder`
Parameters:
  `uuid` - die UUID des Reminders.
Throws:
  `RemoteException`
See Also:
  - `DBReminder.setUUID(java.lang.String)`

### getReminder

public de.willuhn.jameica.reminder.Reminder getReminder() throws RemoteException
Description copied from interface: `DBReminder`
Liefert das zugehoerige Reminder-Objekt.

Specified by:
  `getReminder` in interface `DBReminder`
Returns:
  das zugehoerige Reminder-Objekt.
Throws:
  `RemoteException`
See Also:
  - `DBReminder.getReminder()`

### setReminder

public void setReminder(de.willuhn.jameica.reminder.Reminder reminder) throws RemoteException
Description copied from interface: `DBReminder`
Speichert das zugehoerige Reminder-Objekt.

Specified by:
  `setReminder` in interface `DBReminder`
Parameters:
  `reminder` - das zugehoerige Reminder-Objekt.
Throws:
  `RemoteException`
See Also:
  - `DBReminder.setReminder(de.willuhn.jameica.reminder.Reminder)`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getPrimaryAttribute()`

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`